Ondersteuning » Installatie WordPress » Een onverwachte HTTP-fout is opgetreden tijdens het API-verzoek.

  • Hoi ik installeer WP echter direct na de installatie werkt wp wel, ik kan ook berichten toevoegen, maar hij maakt geen contact met de server van WP en als ik een nieuw thema wil toevoegen krijg ik deze melding.
    Ook in de admin is er geen contact met wp zoals plugins

    Wat kan ik hier aan doen om dit te verhelpen

    Mvg. Webbes

15 reacties aan het bekijken - 1 tot 15 (van in totaal 15)
  • Moderator Remkus de Vries

    (@defries)

    Sleutelbeheer WordPress NL

    waar heb je WP geïnstalleerd?

    Thread starter webbes

    (@webbes)

    op httpdocs map op de server van mijn hosting account

    IK heb bij de zelfde provider nog 1 WP draaien, die werkt prima.

    Thread starter webbes

    (@webbes)

    Ik verwacht dat het een probleem is bij mijn provider, ik heb gevraagd of ze mijn domein opnieuw willen installeren van uit een schone positie, op hun nieuwe server heeft men SUPHP ondersteuning. volgens de provider moet dat beter werken, mijn andere site draait namelijk ook op de nieuwe server, dus a.s. maandag of dinsdag weet ik meer, als er iemand ervaring heeft met dit probleem ,en het herkent, hoor ik natuurlijk graag de oplossing die hij of zij heeft.

    Ook ik heb dit probleem.
    Mijn host al om hulp gevraagd zonder succes tot nu toe.

    Heeft iemand een idee in welke richting er gekeken zou moeten worden?
    Het heeft wel gewerkt. Ineens was het niet meer mogelijk om nieuwe plugins/templates op te zoeken.

    Ik draai de laatste versie van WP.
    Tevens werkt wp verder prima.

    Alvast bedankt,

    Ed

    Staat de server wel externe verbindingen toe?

    Ga ik navragen.

    janneke

    (@ikbenirene)

    Hee,
    dat heb ik ook, sinds vandaag, als ik naar nieuwe plugins zoek. Eerder deed hij het altijd wel..
    Dus dan lijkt het me niet dat het aan de server ligt toch?

    janneke.

    Zou het misschien te maken kunnen hebben met de versie van PHP ?

    momenteel verwisselen een aantal providers al enige tijd van versie 5.2.x naar 5.3.x of zijn nog experimenteel bezig met de nieuwe 5.3.x.

    zowieso blijft de huidige versie 5.2.x. nog wel enige tijd op de servers werken.

    Met MailCamp b.v. is PHP versie 5.1.x. niet meer van toepassing.
    http://www.mailcamp.eu/nl/XML_API_documentatie.php

    M.v.g.,
    Marinus_

    http://www.hillenga.org

    janneke

    (@ikbenirene)

    Gek hoor… bij mij doet hij het inmiddels weer. Ik heb er NIETS aan veranderd.

    Mijn host heeft geen zin om reactie te geven.
    @marinus_ Jij hebt het vermoeden dat het komt door een nieuwere versie van php?

    Thread starter webbes

    (@webbes)

    een aantal hosting providers hebben nog al problemen met de instellingen van WordPress en de rechten daar toe. ik heb het probleem opgelost door WordPress opnieuw te installeren, en de provider gevraagd mijn domein, schoon op te leveren zodat ik op nieuw alles kon installeren.

    Momenteel ondervind ik bij 1 provider een probleem dat enkele plugins niet goed functioneren, waar onder het “fast form contact formulier” standaard ingesteld werkt deze prima, wanneer ik gebruik maak va extra velden loopt het script vast. de provider kan dit niet oplossen. maar daar heb ik mijn bedenkingen over, aangezien het wel werkte voor dat men mijn hosting opnieuw heeft ingesteld, er blijft nog veel onduidelijk hoe de instellingen moeten zijn.
    Ik heb meerdere hosting bedrijven, en merk op dat de goedkopere allemaal prima werken, en de duurdere bedrijven veel moeite hebben om WordPress draaiend te krijgen??

    Succes allen

    @webbes Bedankt voor je informatie!
    Je hebt je provider gevraagd het domein ‘schoon’ op te leveren. Wat betekent dat?

    Ed

    Thread starter webbes

    (@webbes)

    Schoon opleveren betekend niets anders dan alles van de server af te halen, en geheel nieuw op te leveren als een nieuwe domein, ik had voor WordPress een site draaien voornamelijk in CGI, dus daar stonden ook nog bestanden op die ik zelf niet kon verwijderen, het is een oplossing waardoor je zeker weet, dat je niets over het hoofd ziet.

    Mijn probleem met de plugins is vanmiddag verholpen en werkt nu prima.

    Wat wel van groot belang is, sommige providers hebben nog oude servers draaien, waar WordPress veel moeite heeft, ik heb mijn domein naam ondergebracht bij Protagonist, zij hebben verschillende servers, en het kost heel veel moeite voor ik daar alles aan het draaien heb, en alleen op de nieuwste servers. ik heb ook een aantal domeinen bij mijndomein.nl daar betaal ik maar iets van 29 euro per jaar, en daar kan ik de save mode php zelf aan en uit zetten, en nog nooit problemen gehad met WordPress.

    Wel heeft Protagonist een SUPHP aangemaakt op de nieuwe server, hierdoor moet WordPress nog beter draaien.

    @webbes Nogmaals bedankt voor je informatie.

    Een volledige backup maken en deze terugzetten na opnieuw opleveren van het ‘verse domein’ is ook een mogelijkheid?
    Ik kan namelijk niet alles backuppen. (forum plugin en dergelijke) dus wil gebruik maken van de backup functie in DirectAdmim.

    Thread starter webbes

    (@webbes)

    Hoi Edd.

    Dat gaat prima, zo maakte ik voorheen ook mijn backups, even iets meer werk maar als je het een paar keer hebt gedaan dan werkt dat ook. ik exporteer momenteel de inhoud, via de export tool, dat gaat sneller, en inderdaad nadeel als je opnieuw iets moet terug zetten ,je alle plugins ook moet herinstalleren incl je layout, wat me wel opvalt is dat sommige plugins na een update niet meer goed werken, ik heb sommige plugins moeten wisselen, nog geen idee wat daar van de oorzaak is, ik ga er vanuit dat het een bug is in de plugin zelf, en wacht betere updates af 😉
    Succes

15 reacties aan het bekijken - 1 tot 15 (van in totaal 15)
  • Het onderwerp ‘Een onverwachte HTTP-fout is opgetreden tijdens het API-verzoek.’ is gesloten voor nieuwe reacties.